### Method

# Soup Session get_user_agent

#### Declaration [src]

    const char*
    soup_session_get_user_agent (
      SoupSession* session
    )

#### Description [src]

Get the value used by `session` for the “User-Agent” header on new requests.

Gets property | `Soup.Session:user-agent`

#### Return value

Type: `const char*`

The user agent string.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.